# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "ansi-to-tui"
version = "2.0.0"
authors = ["Uttarayan Mondal <email@uttarayan.me>"]
description = "A library to convert ansi color coded text into tui::text::Text type from tui-rs library"
readme = "README.md"
keywords = [
    "ansi",
    "ascii",
    "tui",
    "parser",
]
license = "MIT"
repository = "https://github.com/uttarayan21/ansi-to-tui"

[dependencies.nom]
version = "7.1.1"

[dependencies.simdutf8]
version = "0.1.4"
optional = true

[dependencies.thiserror]
version = "1.0.31"

[dependencies.tui]
version = "0.*"
default-features = false

[dev-dependencies.anyhow]
version = "1.0.58"

[features]
simd = ["simdutf8"]
